; -*- lexical-binding: t; -*-

;;; Code:


;; Auto refresh files changed on disk
(global-auto-revert-mode t)

;; Make it easer to do 'alt-x'
(global-set-key "\C-x\C-m" 'execute-extended-command)
(global-set-key "\C-c\C-m" 'execute-extended-command)

;; Allow line highlighting
(global-hl-line-mode +1)

;; Highlight delimiter pairs
(show-paren-mode 1)
(setq show-paren-delay 0)

;; I keep mising Cx-Cf, so make it easier
(global-set-key "\C-x\f" 'find-file)

;; For UK/IRL don't use right Alt key in Emacs, so we
;; can still use hash symbol etc.
(setq ns-right-alternate-modifier (quote none))

(setq inhibit-startup-message t)
(setq initial-scratch-message nil)

;; Disable menu, tool and scroll bars
(menu-bar-mode -1)
(tool-bar-mode -1)
(scroll-bar-mode -1)

;; line numbers
(global-display-line-numbers-mode 1)

;; word wrap over lines
(global-visual-line-mode t)

;; Add small window fringes
(set-fringe-mode 10)

;; Management of basic paths and caches
(setq user-emacs-directory (expand-file-name "~/.cache/emacs/")
      url-history-file (expand-file-name "url/history" user-emacs-directory))

(setq auto-save-file-name-transforms
          `((".*" ,(concat user-emacs-directory "auto-save/") t)))
(setq backup-directory-alist '(("" . "~/.emacs.d/emacs-backup")))

(setq custom-file (concat user-emacs-directory "custom.el"))
(when (file-exists-p custom-file)
  (load custom-file))

(provide 'jg-core)
