;; This is a sample Guix Home configuration which can help setup your
;; home directory in the same declarative manner as Guix System.
;; For more information, see the Home Configuration section of the manual.
(define-module (guix-home-config)
  #:use-module (gnu home)
  #:use-module (gnu home services)
  #:use-module (gnu home services shells)
  #:use-module (gnu services)
  #:use-module (gnu system shadow)
  #:use-module (gnu packages))

(define home-config
  (home-environment
   (packages (specifications->packages
              (list "git"
                    "icecat"
                    "icedove-wayland"
                    "python"
                    "curl"
                    "lmms"
                    "rsync"
                    "thunar"
                    "zathura"
                    "zathura-pdf-mupdf"
                    "emacs-no-x-toolkit"
                    "foot"
                    "ncurses"
                    "htop"
                    "guile"
                    "guile-readline"
                    "wmenu"
                    "brightnessctl"
                    "pavucontrol"
                    "ffmpeg"
                    "mplayer"
                    "bluez-alsa"
                    "openssh"
                    "sway"
                    "emacs-geiser"
                    "emacs-ac-geiser"
                    "emacs-geiser-guile"
                    "emacs-paredit"
                    "emacs-iedit"
                    "ripgrep"
                    "guile-colorized"
                    "unzip"
                    "mlocate"
                    "stow"
                    "alsa-utils"
                    "font-abattis-cantarell"
                    "fastboot")))
   
    (services
      (list
        ;; Uncomment the shell you wish to use for your user:
        (service home-bash-service-type)
        ;(service home-fish-service-type)
        ;(service home-zsh-service-type)

        (service home-files-service-type
         `((".guile" ,%default-dotguile)
           (".Xdefaults" ,%default-xdefaults)))

        (service home-xdg-configuration-files-service-type
         `(("gdb/gdbinit" ,%default-gdbinit)
           ("nano/nanorc" ,%default-nanorc)))))))

home-config
